Bug 1235709 - variant test fails on big endian arches
Summary: variant test fails on big endian arches
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Glib
Version: 22
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-06-25 14:35 UTC by Dan Horák
Modified: 2015-07-18 02:01 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-18 02:01:45 UTC


Attachments (Terms of Use)

Description Dan Horák 2015-06-25 14:35:32 UTC
The variant test fails on s390(x) and ppc64 after introduction of perl-Glib 1.310 (which adds the variant support). Currently the tests are disabled on ppc/ppc64 and enabled on s390(x), but 1.305 passes the whole test suite on both big endian arch families.

from build.log
...
# Distribution version: 1.310
t/module_versions.t ........ ok
t/options.t ................ ok
t/signal_emission_hooks.t .. ok
t/signal_marshal.t ......... ok
t/signal_query.t ........... ok
t/tied_definedness.t ....... ok
t/tied_flags.t ............. ok
t/tied_set_property.t ...... ok
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'b'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'y'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'n'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'q'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'i'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'u'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'x'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 't'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'h'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'd'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 's'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'o'
#   Failed test at t/variant.t line 48.
#          got: ''
#     expected: 'g'
#   Failed test at t/variant.t line 63.
#          got: ''
#     expected: 'v'
#   Failed test at t/variant.t line 92.
#          got: ''
#     expected: 'a'
#   Failed test at t/variant.t line 119.
#          got: ''
#     expected: 'm'
#   Failed test at t/variant.t line 127.
#          got: ''
#     expected: 'm'
#   Failed test at t/variant.t line 136.
#          got: ''
#     expected: 'm'
#   Failed test at t/variant.t line 151.
#          got: ''
#     expected: 'a'
#   Failed test at t/variant.t line 158.
#          got: ''
#     expected: 'a'
#   Failed test at t/variant.t line 166.
#          got: ''
#     expected: 'a'
#   Failed test at t/variant.t line 181.
#          got: ''
#     expected: '('
#   Failed test at t/variant.t line 188.
#          got: ''
#     expected: '('
#   Failed test at t/variant.t line 202.
#          got: ''
#     expected: '{'
# Looks like you failed 24 tests of 211.
t/variant.t ................ 
Dubious, test returned 24 (wstat 6144, 0x1800)
Failed 24/211 subtests 
Test Summary Report
-------------------
t/variant.t              (Wstat: 6144 Tests: 211 Failed: 24)
  Failed tests:  6, 13, 20, 27, 34, 41, 48, 55, 62, 69, 76
                83, 90, 96, 102, 108, 113, 119, 125, 129
                134, 139, 143, 148


for complete logs please see eg. http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1861903

Version-Release number of selected component (if applicable):
perl-Glib-1.310-1.fc22

Comment 1 Fedora Update System 2015-06-30 12:45:52 UTC
perl-Glib-1.310-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/perl-Glib-1.310-2.fc22

Comment 2 Fedora Update System 2015-07-02 17:07:34 UTC
Package perl-Glib-1.310-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Glib-1.310-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11014/perl-Glib-1.310-2.fc22
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-07-18 02:01:45 UTC
perl-Glib-1.310-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.